package org.sky.scientific.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;


@Data
@Schema(description = "研发费用辅助账汇总表-项目费用")
public class DeductionCostSummaryItem {

	@Schema(description = "项目id")
	private Long xmId;

	@Schema(description = "项目编号")
	private String xmbh;

	@Schema(description = "项目名称")
	private String xmmc;

	@Schema(description = "完成情况")
	private String wcqk;

	@Schema(description = "支出类型，1：费用化，2：资本化")
	private Integer type;

	public DeductionCostSummaryItem(Long xmId, String xmbh, String xmmc, String wcqk, Integer type) {
		this.xmId = xmId;
		this.xmbh = xmbh;
		this.xmmc = xmmc;
		this.wcqk = wcqk;
		this.type = type;
	}

	@Schema(description = "允许加计扣除金额合计")
	private BigDecimal yxjjkcjehj = new BigDecimal("0.00");

	@Schema(description = "1、人员人工费用")
	private BigDecimal ryrgTotal = new BigDecimal("0.00");

	@Schema(description = "2、直接投入费用")
	private BigDecimal zjtrTotal = new BigDecimal("0.00");

	@Schema(description = "3、折旧费用")
	private BigDecimal zjfyTotal = new BigDecimal("0.00");

	@Schema(description = "4、无形资产摊销")
	private BigDecimal wxzctxTotal = new BigDecimal("0.00");

	@Schema(description = "5、新产品设计费等")
	private BigDecimal xcpsjfd = new BigDecimal("0.00");

	@Schema(description = "6、前五项小计")
	private BigDecimal total = new BigDecimal("0.00");;

	@Schema(description = "7.1、其他相关费用合计")
	private BigDecimal qtxgfyTotal = new BigDecimal("0.00");

	@Schema(description = "7.2、经限额调整后的其他相关费用")
	private BigDecimal qtxgfyAdjustTotal = new BigDecimal("0.00");;

	@Schema(description = "8.1、委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal wtjnfy = new BigDecimal("0.00");

	@Schema(description = "8.2、允许加计扣除的委托境内机构或个人进行研发活动所发生的费用")
	private BigDecimal wtjnfyAdjust = new BigDecimal("0.00");

	@Schema(description = "8.3、委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwfy = new BigDecimal("0.00");

	@Schema(description = "8.4、经限额调整后的委托境外机构进行研发活动所发生的费用")
	private BigDecimal wtjwfyAdjust = new BigDecimal("0.00");
}
